# $Revision: 1.8.2.4 $, $Date: 2003/08/10 09:49:03 $
# TODO:
# - Make build install process more PLD conforming.

%include	/usr/lib/rpm/macros.python
%define		module	PyKDE
%define vendor_ver 3.7
%define vendor_rel 2
%define fn_ver %{vendor_ver}-%{vendor_rel}

Summary:	Python bindings for KDE
Summary(pl):	Dowizania do KDE dla Pythona
Name:		python-%{module}
Version:	%{vendor_ver}.%{vendor_rel}
Release:	2
License:	GPL
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/sourceforge/pykde/%{module}-%{vendor_ver}-%{vendor_rel}.tar.gz
# Source0-md5:	7252731d6933ddc89ba579738bd903aa
Patch0:         %{name}-setShared_args_num.patch
URL:		http://www.riverbankcomputing.co.uk/pykde/index.php
BuildRequires:	kdelibs-devel >= 3.1.1a
BuildRequires:	python-devel >= 2.2.2
BuildRequires:	python-PyQt-devel >= 3.7
BuildRequires:	rpm-pythonprov
BuildRequires:	sip >= %{vendor_ver}
%pyrequires_eq	python
Requires:	OpenGL
Requires:	python-PyQt >= 3.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define _prefix /usr/X11R6
%define          _sipfilesdir         /usr/share/sip

%description
PyKDE is a set of Python bindings for the KDE desktop environment. The
bindings are implemented as a set of Python modules: dcop, kdecore,
kdesu, kdefx (KDE 3.0 and later), kdeui, kio, kfile, kparts, khtml,
kjs, kspell and kdeprint (KDE 2.2.0 and later). The modules correspond
to libraries in the kdelibs package. PyKDE supports nearly all classes
and methods in these libraries.

%description -l pl
PyKDE jest zbiorem dowiza do KDE dla jzyka Python. Dowizania s
zaimplementowane jako zbir moduw Pythona: dcop, kdecore, kdesu,
kdefix (KDE 3.0 i pniejsze), kdeui, kio, kfile, kparts, khtml, kjs,
kspell, i kdeprint (KDE 2.2.0 i pniejsze). Moduy odpowiadaj
bibliotekom w pakiecie kdelibs. PyKDE wspiera prawie wszystkie klasy i
metody w wymienionych bibliotekach.

%prep
%setup -q -n %{module}-%{fn_ver}
%patch0 -p1

%build
install -d $RPM_BUILD_ROOT{%{py_sitedir},%{_bindir}}

cp  %{py_sitedir}/libqtcmodule.so $RPM_BUILD_ROOT%{py_sitedir}/

DESTDIR=$RPM_BUILD_ROOT 
python build.py \
        -q %{_prefix} -i %{_includedir}/qt -l qt-mt \
        -d $RPM_BUILD_ROOT%{py_sitedir} \
        -t %{_includedir} \
	-c+ # makes compilation 5 times faster and eats more memmory than my 256/256 MB Xed machine has :/

%install
rm -rf $RPM_BUILD_ROOT
export LIBRARY_PATH=$RPM_BUILD_ROOT/%{py_sitedir}

%{__make} install

%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitedir}/*.py[co]
%{py_sitedir}/lib*.so*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: python-PyKDE.spec,v $
Revision 1.8.2.4  2003/08/10 09:49:03  matkor
- Cosmetics.

Revision 1.8.2.3  2003/08/08 16:36:50  matkor
- Forgotten trick to fool PyKDE build system.

Revision 1.8.2.2  2003/08/08 16:25:03  matkor
- Release 2. Patch fixing setShared args num added.

Revision 1.8.2.1  2003/08/08 10:51:03  matkor
- Version 3.7-2. Release 1. STBR for Ra (after installing freshly build python-PyQt-devel-3.7).

Revision 1.5  2003/04/17 11:38:28  matkor
- Added qt_styles_as_plugins_fix.patch allowing use Qt styles
  as builded in PLD.
- Fixed descriptions and some final cleaning.
- Builds, works.

Revision 1.4  2003/04/16 17:10:44  matkor
- Back to 3.5. Removed unworking patch for snap sip versions. Now compiles. Fails on linking. NfY.

Revision 1.3  2003/04/15 22:31:54  matkor
- remove_modules_from_sipnames.patch added, but still not builds.

Revision 1.2  2003/04/15 14:20:58  matkor
 - Initial spec. Still doesn't build.

